当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 12:44 

注册: 2009-04-15 23:54
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
我先尝试安装wine.但显示如下:

whw@whw-laptop:~$ sudo apt-get install wine
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
wine: 依赖: winbind 但是它将不会被安装
E: 无法安装的软件包

于是,我又试试安装WINBIND.但还是不成功,显示如下:

whw@whw-laptop:~$ sudo apt-get install winbind
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
winbind: 依赖: samba-common (= 3.0.28a-1ubuntu4.7) 但是 2:3.2.3-1ubuntu3 正要被安装
E: 无法安装的软件包

接着,我又尝试安装那个samba-common.但它说我的已经是最新版本了:

whw@whw-laptop:~$ sudo apt-get install samba-common
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
samba-common 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。




请问我应该怎么办呢?
谢谢!!! :em11


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 12:46 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
贴你的源出来看看?


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 12:54 

注册: 2009-04-15 23:54
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
贴你的源出来看看?


对不起,我还是个大菜鸟.你指的"源"是什么呢?在哪里的呢? :em06


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 20:20 

注册: 2009-04-15 23:54
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
我的源是这样的:

whw@whw-laptop:~$ sudo gedit /etc/apt/source.list
[sudo] password for whw:
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:82: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:111: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:140: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:176: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:210: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.7

/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:82: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:111: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:140: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:176: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:210: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
GTK Panel of SCIM 1.4.7

/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:82: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:111: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:140: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:176: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.
/usr/share/themes/Human-Murrine/gtk-2.0/gtkrc:210: Murrine configuration option "hilight_ratio" will be deprecated in future releases. Please update this theme to get rid of this warning.


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 20:28 

注册: 2009-04-15 23:54
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
上面错了,我的源应该是这样的才对:


deb http://ubuntu.uestc.edu.cn/ubuntu hardy main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu hardy main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu hardy-updates main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu hardy-updates main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu hardy-security main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu hardy-security main restricted universe multiverse
deb http://ubuntu.uestc.edu.cn/ubuntu hardy-backports main restricted universe multiverse
deb-src http://ubuntu.uestc.edu.cn/ubuntu hardy-backports main restricted universe multiverse

#deb-src http://ubuntu.cn99.com/ubuntu hardy main restricted universe multiverse
#deb http://ubuntu.cn99.com/ubuntu hardy main restricted universe multiverse
#deb-src http://ubuntu.cn99.com/ubuntu hardy-updates main restricted universe multiverse
#deb http://ubuntu.cn99.com/ubuntu hardy-updates main restricted universe multiverse
#deb-src http://ubuntu.cn99.com/ubuntu hardy-security main restricted universe multiverse
#deb http://ubuntu.cn99.com/ubuntu hardy-security main restricted universe multiverse
#deb-src http://ubuntu.cn99.com/ubuntu hardy-backports main restricted universe multiverse
#deb http://ubuntu.cn99.com/ubuntu hardy-backports main restricted universe multiverse

#deb http://archive.canonical.com/ubuntu hardy partner
#deb-src http://archive.canonical.com/ubuntu hardy partner
#deb http://archive.canonical.com/ubuntu hardy-commercial main

## WineHQ APT Repository
# deb http://wine.budgetdedicated.com/apt gutsy main
# deb-src http://wine.budgetdedicated.com/apt gutsy main

#CRAN repo
#deb http://mirrors.geoexpat.com/cran//bin/linux/ubuntu hardy/

# code::blocks repo
#deb http://lgp203.free.fr/ubuntu/ hardy universe

#deb http://ubuntu.org.ua/ getdeb/

# Dropbox
#deb http://linux.getdropbox.com/ubuntu hardy main
#deb-src http://linux.getdropbox.com/ubuntu hardy main

#bibus
#deb http://switch.dl.sourceforge.net/source ... bus-biblio ./
#deb-src http://switch.dl.sourceforge.net/source ... bus-biblio ./


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-01 20:41 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
你用的是8.04的源当然不行啦,把ls的hardy全部改成intrepid


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 我的UBUNTU8.10安装不到WINE.请问是什么回事?
帖子发表于 : 2009-06-03 1:41 

注册: 2009-04-15 23:54
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
你用的是8.04的源当然不行啦,把ls的hardy全部改成intrepid


你好,首先谢谢你的帮助。我把LIST里面的hardy全部改成intrepid后,再尝试安装WINE。结果还是不成功,显示如下:

whw@whw-laptop:~$ sudo apt-get install wine
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
wine: 依赖: winbind 但却无法安装它
依赖: libldap2 (>= 2.1.17-1) 但却无法安装它
E: 无法安装的软件包


请问我还能怎样呢? :em20


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译